<?php
/*
Plugin Name: Easy FancyBox - Pro extension
Plugin URI: https:/firelightwp.com/easy-fancybox-pro/
Description: Extend the <a href="https://firelightwp.com">Easy FancyBox plugin</a> with advanced options.
Text Domain: easy-fancybox
Version: 1.9.1
Author: edanzer
Author URI: https://firelightwp.com/
*/

if ( ! defined( 'ABSPATH' ) ) exit;

define( 'EASY_FANCYBOX_PRO_VERSION', '1.9.1' );

require_once dirname( __FILE__ ) . '/inc/class.easyfancybox-advanced.php';

new easyFancyBox_Advanced( __FILE__ );

/**
 * Activation hook.
 *
 * @since 1.8.4
 */

register_activation_hook( __FILE__, function() {
	class_exists( 'easyFancyBox' ) || activate_plugin( 'easy-fancybox/easy-fancybox.php' );
} );

/**
 * Upgrade plugin data.
 *
 * @since 1.8.4
 */

add_action( 'init', function() {
	$old_version = get_option( 'easy_fancybox_pro_version', 0 );

	if ( 0 !== version_compare( EASY_FANCYBOX_PRO_VERSION, $old_version ) ) {
		include dirname( __FILE__ ) . '/upgrade.php';
	}
} );
