<?php
/**
 * Easy FancyBox Pro upgrade routines, included by easyFancyBox_Advanced::maybe_upgrade()
 *
 * Uses $old_version, EASY_FANCYBOX_PRO_VERSION
 *
 * @since 1.8.4
 */

// Exit if not called from within WordPress.
defined( 'ABSPATH' ) || exit();

// Delete transient deprecated since 1.8.4
delete_transient( 'easy_fancybox_license_verified' );

// Make show/hide title on mousehover a select option.
$fancybox_onStart = get_option( 'fancybox_onStart' );
if ( false !== $fancybox_onStart ) {
	update_option( 'fancybox_onStart', 1 );
}

// Convert slideshow.
$fancybox_onComplete = get_option( 'fancybox_onComplete' );
if ( ! empty( $fancybox_onComplete ) ) {
	update_option( 'fancybox_autoPlay', 1 );
	$playspeed = '';
	foreach ( array( '6000', '9000', '12000' ) as $speed ) {
		if ( strpos( $fancybox_onComplete, $speed ) ) {
			$playspeed = $speed;
			break;
		}
	}
	update_option( 'fancybox_playSpeed', $playspeed );

	delete_option( 'fancybox_onComplete' );
}

update_option( 'easy_fancybox_pro_version', EASY_FANCYBOX_PRO_VERSION );

// Schedule a new license check in one month.
if ( ! wp_next_scheduled( 'fancybox_check_license' ) ) {
	wp_schedule_single_event( time() + MONTH_IN_SECONDS, 'fancybox_check_license' );
}

// Kilroy was here.
if ( defined('WP_DEBUG') && WP_DEBUG ) {
	error_log( 'Easy FancyBox Pro was upgraded from ' . $old_version . ' to version '. EASY_FANCYBOX_PRO_VERSION );
}
