<div class="wrap">
	<h2><?php esc_html_e( 'Easy FancyBox Pro License', 'easy-fancybox' ); ?></h2>
	<p>
		<?php
		printf( /* Translators: Plugin name, renew your license (linked) */
			esc_html__( 'Enter your license key for %s.', 'easy-fancybox' ),
			'<a href="' . trailingslashit( self::$store_url ) . 'downloads/easy-fancybox-pro/" target="_blank">' . __( 'Easy FancyBox Pro', 'easy-fancybox' ) . '</a>'
		);
		?>
		<?php esc_html_e( 'An active license key grants you access to plugin updates and support. If a license key is absent, deactivated or expired, the plugin may continue to work properly but you will not receive automatic updates.', 'easy-fancybox' ); ?>
		<?php
		printf( /* Translators: Plugin name, Status301 Premium account (linked) */
			esc_html__( 'You can find your %1$s license key in your %2$s.', 'easy-fancybox' ),
			__( 'Easy FancyBox Pro', 'easy-fancybox' ),
			'<a href="https://efbpro.firelightwp.com/account/" target="_blank">' . __( 'Status301 Premium account', 'easy-fancybox' ) . '</a>'
		);
		?>
	</p>

	<form method="post" action="options.php">

		<?php settings_fields( 'easy_fancybox_license' ); ?>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row" valign="top">
						<?php esc_html_e( 'License key', 'easy-fancybox' ); ?>
					</th>
					<td>
						<fieldset>
							<legend class="screen-reader-text">
								<?php esc_html_e( 'License key', 'easy-fancybox' ); ?>
							</legend>

							<input name="easy_fancybox_license[key]" id="easy_fancybox_license_key" type="text" class="regular-text" value="<?php esc_attr_e( $key ); ?>" />

							<?php if ( ! empty( $error ) ) { ?>
							<span class="button-link-delete"><?php echo easyFancyBox_Advanced::license_error_msg( $error, $expires ); ?></span>
							<?php } ?>

							<p class="description">
								<?php
								if ( empty( $key ) ) {
									esc_html_e( 'Enter your license key.', 'easy-fancybox' );
								} else {
									switch ( $status ) {
										case 'valid':
											esc_html_e( 'Your license is active for this site.', 'easy-fancybox' );
											if ( ! empty( $expires ) ) {
												echo ' ';
												printf( /* Translators: Expiration date */
													esc_html__( 'It expires on %s.', 'easy-fancybox' ),
													$expires
												);
											}
											break;

										case 'inactive':
											echo '<span class="button-link-delete">';
											printf( /* Translators: Plugin name */
												esc_html__( 'To receive updates for %s, please activate your license for this site.', 'easy-fancybox' ),
												__( 'Easy FancyBox Pro', 'easy-fancybox' )
											);
											echo '</span>';
											break;

										case 'expired':
											printf( /* Translators: Plugin name, renew your license (linked) */
												esc_html__( 'To continue receiving updates for %1$s, please %2$s.', 'easy-fancybox' ),
												__( 'Easy FancyBox Pro', 'easy-fancybox' ),
												'<a href="' . trailingslashit( self::$store_url ) . 'checkout/?edd_license_key=' . $key . '&download_id=' . self::$item_id . '" target="_blank">' . __( 'renew your license', 'easy-fancybox' ) . '</a>'
											);
											break;

										default:
											if ( 'no_activations_left' == $error ) {
												printf( /* Translators: Account (linked), Plugin name */
													esc_html__( 'Please check your %1$s for possibilities to upgrade your %2$s license.', 'easy-fancybox' ),
													'<a href="' . trailingslashit( self::$store_url ) . 'account/' . $payment_path . '" target="_blank">' . __( 'Status301 Premium account', 'easy-fancybox' ) . '</a>',
													__( 'Easy FancyBox Pro', 'easy-fancybox' )
												);
											}
											break;
									}
								}
								?>
							</p>
						</fieldset>
					</td>
				</tr>

				<tr valign="top">
					<th scope="row" valign="top">
						<?php esc_html_e( 'Beta version', 'easy-fancybox' ); ?>
					</th>
					<td>
						<fieldset>
							<legend class="screen-reader-text">
								<?php esc_html_e( 'Beta version', 'easy-fancybox' ); ?>
							</legend>
							<p>
								<label>
									<input type="checkbox" name="easy_fancybox_license[beta]" id="easy_fancybox_license_beta" value="1"<?php checked( $beta ); ?> />
									<?php
									printf( /* Translators: Plugin name */
										esc_html__( 'Get updates for pre-release versions of %s.', 'easy-fancybox' ),
										__( 'Easy FancyBox Pro', 'easy-fancybox' )
									);
									?>
								</label>
							</p>
							<p class="description">
								<?php esc_html_e( 'This option will allow you to update the plugin to the latest beta release.', 'easy-fancybox' ); ?>
								<?php
								printf( /* Translators: Account (linked) */
									esc_html__( 'Please note: Auto-updates are blocked for non-stable versions. Disabling this option will <em>not</em> automatically revert the plugin to the latest stable release. To downgrade manually, first download the latest stable release from your %1$s and then install it via %2$s.', 'easy-fancybox' ),
									'<a href="' . trailingslashit( self::$store_url ) . 'account/downloads/" target="_blank">' . __( 'Status301 Premium account', 'easy-fancybox' ) . '</a>', '<a href="' . admin_url( 'plugin-install.php' ) . '?tab=upload">' . translate( 'Upload Plugin' ) . '</a>'
								);
								?>
							</p>
						</fieldset>
						</td>
				</tr>

				<tr valign="top">
					<th scope="row" valign="top">
						<?php esc_html_e( 'License action', 'easy-fancybox' ); ?>
					</th>
					<td>
						<fieldset>
							<legend class="screen-reader-text">
									<?php esc_html_e( 'License action', 'easy-fancybox' ); ?>
							</legend>
							<p>
								<label>
									<input type="radio" name="easy_fancybox_license[action]" id="easy_fancybox_license_action_check" value="check" checked="checked" />
									<?php esc_html_e( 'Check license key', 'easy-fancybox' ); ?>
								</label>
							</p>
							<p>
								<label>
									<input type="radio" name="easy_fancybox_license[action]" id="easy_fancybox_license_action_activate" value="activate"<?php disabled( in_array( $status, array( 'expired', 'invalid', 'valid', '' ) ) ); ?> />
									<?php esc_html_e( 'Activate license for this site', 'easy-fancybox' ); ?>
								</label>
							</p>
							<p>
								<label>
									<input type="radio" name="easy_fancybox_license[action]" id="easy_fancybox_license_action_deativate" value="deactivate"<?php disabled( in_array( $status, array( 'inactive', 'expired', 'disabled', 'invalid', '' ) ) ); ?> />
									<?php esc_html_e( 'Deactivate license for this site', 'easy-fancybox' ); ?>
								</label>
							</p>
							<p class="description">
								<?php
								printf( /* Translators: Plugin name, Account (linked) */
									esc_html__( 'You can (de)activate your %1$s license from here or manage domains from your %2$s.', 'easy-fancybox' ),
									__( 'Easy FancyBox Pro', 'easy-fancybox' ),
									'<a href="' . trailingslashit( self::$store_url ) . 'account/' . $payment_path . '" target="_blank">' . __( 'Status301 Premium account', 'easy-fancybox' ) . '</a>'
								);
								?>
							</p>
						</fieldset>
					</td>
				</tr>
			</tbody>
		</table>
		<?php submit_button(); ?>

	</form>
</div>
